> For the complete documentation index, see [llms.txt](https://docs.zk.me/hub/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zk.me/hub/start/onboarding/integration/api/zkkyb.md).

# Verify zkKYB Status

## Get Entity KYB Result Overview  <a href="#get-get-users-kyc-result-overview" id="get-get-users-kyc-result-overview"></a>

Returns the verification status of the user for the following credential: [zkKYB - Know Your Business](/hub/what/zkkyb.md)

{% tabs %}
{% tab title="Endpoint" %}

```ruby
POST https://agw.zk.me/kybpopup/api/kyb/getBusinessStatus
```

{% endtab %}

{% tab title="Request" %}

#### **Request Body**

```json
{
  "mchNo": "YourAppID" ,
  "accessToken": "YourAccessToken", 
  // Same as the access token obtained during SDK integration.
  // See: https://docs.zk.me/hub/start/onboarding/integration/js-sdk/zkkyb#access-token
  "programNo": "YourProgramNo",
  "externalID": "UID" // identifier for the KYB entity defined by you (e.g. company name, walletAddress, or email)
}
```

#### Fields Explanation <a href="#parameters" id="parameters"></a>

<table><thead><tr><th width="154">Name</th><th width="102">Type</th><th>Description</th></tr></thead><tbody><tr><td>mchNo</td><td>string</td><td>Same as AppID.</td></tr><tr><td>accessToken</td><td>string</td><td>The same access token obtained during SDK integration. Used to authenticate subsequent API requests. Valid for 30 minutes.</td></tr><tr><td>programNo</td><td>string</td><td>Same as the programNo you pass for the <a href="/pages/60A8hwAJn7vAfwJMoQkj">SDK</a>  integration.</td></tr><tr><td>externalID</td><td>string</td><td>The unique identifier provided by you to reference the KYB entity to be verified. This should match the <code>getExternalID()</code> passed during <a href="/pages/60A8hwAJn7vAfwJMoQkj">SDK</a> integration.</td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```json
{
  "code": ...,
  "msg": "...",
  "data": {
    "statusCode": ...,
    "statusDesc": "..."
  },
  "timestamp": ...
}
```

#### Fields Explanation <a href="#fields" id="fields"></a>

<table><thead><tr><th width="162">Name</th><th width="162">Type</th><th>Description</th></tr></thead><tbody><tr><td>code</td><td>number</td><td>Response code. <code>80000000</code> indicates success.</td></tr><tr><td>msg</td><td>string</td><td>Response message.</td></tr><tr><td>data</td><td>object</td><td>List of verifierValues objects (see <strong><code>data</code> Object</strong>)</td></tr><tr><td>timestamp</td><td>number</td><td>Response timestamp in milliseconds.</td></tr></tbody></table>

***

**`data` Object**

<table><thead><tr><th width="218">Name</th><th width="96">Type</th><th>Description</th></tr></thead><tbody><tr><td>statusCode</td><td>number</td><td><p>Indicates the current verification status of the KYB process.</p><p></p><p>Status codes are defined as follows:</p><ul><li><code>1</code> – Verification Started</li><li><code>2</code> – Info Submitted</li><li><code>3</code> – Under Review</li><li><code>4</code> – Resubmission Required</li><li><code>5</code> – Verification Passed</li><li><code>6</code> – Verification Failed</li></ul></td></tr><tr><td>statusDesc</td><td>string</td><td>A readable description of the current verification stage, derived from <code>statusCode</code>.</td></tr></tbody></table>
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zk.me/hub/start/onboarding/integration/api/zkkyb.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
